[xiph-commits] r9694 - trunk/ao
giles at svn.xiph.org
giles at svn.xiph.org
Tue Aug 2 14:41:23 PDT 2005
Author: giles
Date: 2005-08-02 14:41:23 -0700 (Tue, 02 Aug 2005)
New Revision: 9694
Modified:
trunk/ao/autogen.sh
Log:
Merge changes from the libogg autogen.sh.
In particular, enable maintainer-mode by default, and use
a more direct test for the proper libtoolize executable
that works on recent MacOS X, whose 'which' doesn't set
an return code like the GNU version.
Modified: trunk/ao/autogen.sh
===================================================================
--- trunk/ao/autogen.sh 2005-08-02 21:37:57 UTC (rev 9693)
+++ trunk/ao/autogen.sh 2005-08-02 21:41:23 UTC (rev 9694)
@@ -73,7 +73,7 @@
echo -n "checking for libtool... "
for LIBTOOLIZE in libtoolize glibtoolize nope; do
- (which $LIBTOOLIZE) > /dev/null 2>&1 && break
+ ($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 && break
done
if test x$LIBTOOLIZE = xnope; then
echo "nope."
@@ -102,15 +102,20 @@
echo "Generating configuration files for $package, please wait...."
echo " $ACLOCAL $ACLOCAL_FLAGS"
-$ACLOCAL $ACLOCAL_FLAGS
-#echo " autoheader"
-#autoheader
+$ACLOCAL $ACLOCAL_FLAGS || exit 1
echo " $LIBTOOLIZE --automake"
-$LIBTOOLIZE --automake
+$LIBTOOLIZE --automake || exit 1
echo " $AUTOMAKE --add-missing $AUTOMAKE_FLAGS"
-$AUTOMAKE --add-missing $AUTOMAKE_FLAGS
+$AUTOMAKE --add-missing $AUTOMAKE_FLAGS || exit 1
+#echo " autoheader"
+#autoheader || exit 1
echo " autoconf"
-autoconf
+autoconf || exit 1
+# this search and replace hack is specifically for MacOSX where automake
+# picks up changelog in debian/ because of filesystem
+# case-not-quite-sensitivity breaking make distcheck
+perl -i -p -e 's/DIST_COMMON = ChangeLog/DIST_COMMON =/g' debian/Makefile.in
+
cd $olddir
-$srcdir/configure "$@" && echo
+$srcdir/configure --enable-maintainer-mode "$@" && echo
More information about the commits
mailing list